#include <say/say.hpp>
#include <math/math.hpp>

#include <inout/inout.hpp>

inout_t::inout_t(
  const std::string & method,
  int arg_to_square )
  : m_method( method )
  {
    say_type_t say( m_method );
    
    say.say( std::cout , "hello" );

    std::cout << "square of " << 
      arg_to_square << " is " << 
      square( arg_to_square ) << std::endl;
  }

inout_t::~inout_t()
  {
    say_type_t say( m_method );
    
    say.say( std::cout , "bye" );
  }
