#if !defined( _LOG_HPP_ )
#define _LOG_HPP_

#include <iostream>
#include <string>

#if defined( LOG_MSWIN )
  #if defined( LOG_PRJ )
    #define LOG_TYPE __declspec(dllexport)
  #else
    #define LOG_TYPE __declspec(dllimport)
  #endif
#else
  #define LOG_TYPE
#endif

class LOG_TYPE log_type_t
{
  public :
    log_type_t( const std::string & method );
    ~log_type_t();
	
	void
	log() const;
	
  private :
    std::string m_method;
};

#endif
