#!/usr/bin/ruby
require 'mxx_ru/cpp'

MxxRu::Cpp::composite_target( MxxRu::BUILD_ROOT ) {

	default_rtl_mode( MxxRu::Cpp::RTL_SHARED )
	default_runtime_mode( MxxRu::Cpp::RUNTIME_RELEASE )

	MxxRu::enable_show_brief
	global_obj_placement MxxRu::Cpp::ToolsetRuntimeSubdirObjPlacement.new(
		"builds" )

	ENV[ 'LD_LIBRARY_PATH' ] = mxx_obj_placement.get_dll('.', toolset, self)

	required_prj 'main_app.rb'
}
