require 'test/unit'

require File.expand_path( File.dirname( __FILE__ ) + '/../../test_with_compilation' )

class TC_CustomTargetPrefix < Test::Unit::TestCase
  include TestWithCompilation

  EXPECTED_NAME = 'p-dll.s'

  test_path 'tests/cpp/custom_target_prefix'

  test_case :build_and_clean do
    build( 'dll.rb' )

    assert( File.exist?( EXPECTED_NAME ),
        "Expected name is '#{EXPECTED_NAME}'" )

    clean( 'dll.rb' )
  end

end

