require 'rubygems'
gem 'RuCodeGen'

require 'rucodegen'

cpp_value_incapsulator :host_config_t do |c|
	c.decl_file :script_relative => "h/host_config.impl.hpp"
	c.impl_file :script_relative => "host_config.impl.cpp"

	c.attr_suffix "_"

	c.attr :host, "std::string", :default => "localhost"
	c.attr :port, "short", :default => 8080
	c.attr :conn_params, "impl::conn_params_t", :getter_returns_value => true
end

