require 'rubygems'
gem 'RuCodeGen'

require 'rucodegen'

cpp_value_incapsulator :conn_params_t do |c|
	c.decl_file :script_relative => "h/conn_params.impl.hpp"
	c.impl_file :script_relative => "conn_params.impl.cpp"

	c.attr_suffix "_"

	c.attr :attempts, "int", :default => 3
	c.attr :reconnect_timeout, "int", :default => 10
	c.attr :restore_timeout, "int", :default => 5
end

