require 'test/unit'

require File.expand_path( File.dirname( __FILE__ ) + '/../../test_with_compilation' )

class TC_VcCleanup < Test::Unit::TestCase
  include TestWithCompilation

  test_path 'tests/cpp/vc_cleanup'

  test_case :build_and_clean do
    project_files = Dir[ 'prj_*.rb' ]
    
    build( *project_files )
    clean( *project_files )

    garbage_files = Dir.glob( "**/*.{ilk,pdb,lib,exp}" )

    # No garbage files should exit.
    assert_equal( 0, garbage_files.size )
  end

end

