require 'test/unit'

require File.expand_path( File.dirname( __FILE__ ) + '/../../test_with_compilation' )

class TC_TargetExt < Test::Unit::TestCase
  include TestWithCompilation

  test_path 'tests/mxx_ru/target_ext'

  test_case :cleanup do
    project_files = Dir[ 'prj_*.rb' ]
    
    build( *project_files )

    result_files = Dir.glob( "**/*custom_ext.{static,dynamic,executable}" )

    # One file for each type of target must exists.
    assert_equal( 3, result_files.size )

    clean( *project_files )
  end

end

