require 'test/unit'

require 'mxx_ru/cpp'
require 'mxx_ru/cpp/toolsets/vc8'

class TC_DefaultManifest < Test::Unit::TestCase
  def test_default
    manifest_desc = MxxRu::Cpp::Toolsets::Vc8::default_manifest

    assert_not_nil( manifest_desc )
    assert_equal( manifest_desc.autogen, true )
    assert_equal( manifest_desc.mt, true )
    assert_equal( manifest_desc.manifest_file, :default )
    assert_equal( manifest_desc.resource_id, :default )
  end
end

