require 'test/unit'

require_relative 'restore_default_manifest'

class TC_DropDefaultManifest < Test::Unit::TestCase
  def setup
    @old_manifest = Mxx_ru::Cpp::Toolsets::Vc8::default_manifest
    # Default manifest should not be used.
    Mxx_ru::Cpp::Toolsets::Vc8::manifest nil
  end

  def teardown
    Mxx_ru::Cpp::Toolsets::Vc8::restore_default_manifest @old_manifest
  end

  def test_drop_default_manifest
    Mxx_ru::Cpp::Toolsets::Vc8::manifest( nil )
    
    manifest_desc = Mxx_ru::Cpp::Toolsets::Vc8::default_manifest

    assert_nil( manifest_desc )
  end
end


