require 'test/unit'

require File.expand_path( File.dirname( __FILE__ ) + '/../../test_with_compilation' )

class TC_Unix_LibLinkingMode_NormalBuild < Test::Unit::TestCase
  include TestWithCompilation

  test_path 'tests/unix/lib_linking_mode'

  test_case :successful_build do
    tests = [ 'a_static.rb', 'a_shared.rb',
        'main_static.ut.rb', 'main_shared.ut.rb',
        'main_static_2.ut.rb', 'main_shared_2.ut.rb' ]
    build *tests
    clean *tests
  end
end

