#if !defined( _INOUT_HPP_ )
#define _INOUT_HPP_

#include <string>

#if defined( INOUT_MSWIN )
  #if defined( INOUT_PRJ )
    #define INOUT_TYPE __declspec(dllexport)
  #else
    #define INOUT_TYPE __declspec(dllimport)
  #endif
#else
  #define INOUT_TYPE
#endif

class	INOUT_TYPE	inout_t
  {
  public :
    inout_t( const std::string & method );
    ~inout_t();

  private :
    std::string m_method;
  };

#endif
