#include <iostream>

#include <inout/inout.hpp>

#include <log/log.hpp>

#include <logic/logic.hpp>

#include <math/math.hpp>

void
some_func()
  {
    inout_t braces( "some_func" , 2);

    std::cout << "Some functionality..." << std::endl;
  }

void
table_of_squares()
{
  std::cout << "table of squares: " << std::endl;
  for( int i = 1 ; i < 6 ; ++i )
    std::cout << i << "--" << square( i ) << "\n";
  std::cout << std::endl;
}

void
circle( int radius )
{
  std::cout << "square of circle with radius " << 
    radius << " is " << square_of_circle( radius ) << std::endl;
}

int
main()
  {
    inout_t braces( "main" , 1 );

    std::cout << "Exe, dll, lib main..." << std::endl;

    some_func();

    log_type_t logger( "main" );
    logger.log();

    circle( 5 );

    table_of_squares();

    return 0;
  }
