#if !defined( _SAY_HPP_ )
#define _SAY_HPP_

#include <iostream>
#include <string>

#if defined( SAY_MSWIN )
  #if defined( SAY_PRJ )
    #define SAY_TYPE __declspec(dllexport)
  #else
    #define SAY_TYPE __declspec(dllimport)
  #endif
#else
  #define SAY_TYPE
#endif

/*
void
say_hello( std::ostream & to, const std::string & where );
void
say_bye( std::ostream & to, const std::string & where );
*/

class SAY_TYPE say_type_t
{
  public :
    say_type_t( const std::string & method );
    ~say_type_t();
	
	void
	say( std::ostream & to , const std::string & what ) const;
	
  private :
    std::string m_method;
};

#endif
