require	'mxx_ru/cpp'

class	Dll	< Mxx_ru::Cpp::Dll_target
	def	initialize( a_alias = "dll.rb" )
		super( a_alias )

		target( "dll" )
		implib_path( "o" )

		cpp_source( "dll.cpp" )

		define( "DLL_PRJ" )

		mswin_rc_include_path( "h" )
		mswin_rc_file( "dll.rc",
			[   "h/res.h",
				"res/tree_fol.bmp",
				"res/tree_state_1.bmp",
				"res/tree_state_2.bmp" ] )

		lib( "user32.lib" )

		if "bcc" == toolset.name
			mswin_rc_include_path( "d:\\usr\\bin\\bc6\\include" )
		end

	end
end

Mxx_ru::setup_target( Dll.new )