require 'mxx_ru/cpp'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Exe_target.new( Mxx_ru::BUILD_ROOT ) {
		target( "mswin_res_exe" )
		screen_mode( Mxx_ru::Cpp::SCREEN_WINDOW )

		mswin_rc_include_path( "h" )

		sources_root( "src" ) {
			cpp_source( "main.cpp" )

			mswin_rc_file( "main.rc",
				[   "h/res.h",
					"res/tree_fol.bmp",
					"res/tree_state_1.bmp",
					"res/tree_state_2.bmp" ] )
		}

		lib( "user32.lib" )

		if "bcc" == toolset.name
			mswin_rc_include_path( "d:\\usr\\bin\\bc6\\include" )
		end
	}
)
