#include <string>

#include "impl/h/conn_params.hpp"

/* RuCodeGen::Embedded::begin
cpp_value_incapsulator :host_config_t do |c|
	c.decl_file :script_relative => "h/host_config.impl.hpp"
	c.impl_file :script_relative => "host_config.impl.cpp"

	c.attr_suffix "_"

	c.attr :host, "std::string", :default => "localhost"
	c.attr :port, "short", :default => 8080
	c.attr :conn_params, "impl::conn_params_t", :getter_returns_value => true
end
RuCodeGen::Embedded::end */

#include "h/host_config.impl.hpp"
#include "host_config.impl.cpp"

int
main()
	{
		impl::conn_params_t params;
		params.attempts( 8 );

		host_config_t cfg;

		cfg.host( "eao197.narod.ru" );
		cfg.port( 80 );
		cfg.conn_params( params );
	}
