require 'mxx_ru/cpp'
require 'mxx_ru/cpp/rucodegen'

Mxx_ru::Cpp::exe_target {
	target "host_config"

	rucodegen = generator Mxx_ru::Cpp::RuCodeGen.new( self )

	cpp_source "host_config.cpp"
	rucodegen.add_embedded "host_config.cpp"

	sources_root( "impl" ) {
		cpp_source "conn_params.cpp"
		rucodegen.add "conn_params.rb"
	}
}
