require 'mxx_ru/cpp/qt'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Exe_target.new( "prj.rb" ) {

		threading_mode( Mxx_ru::Cpp::THREADING_MULTI )
		rtl_mode( Mxx_ru::Cpp::RTL_SHARED )

		target( "toplevel" )

		qt = generator( Mxx_ru::Cpp::Qt_gen.new( self ) )
		qt.moc_result_subdir = nil
		qt.hpp_ext = ".h"
		qt.uic_result_subdir = 'u'

		qt.ui( "options.ui" )

		cpp_source( "main.cpp" )

		lib( "qt-mt333.lib" )
	}
)
